package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ComplaintCountSyncFactory
{
    private ComplaintCountSyncFactory()
    {
    }
    public static com.kingdee.eas.custom.compensation.IComplaintCountSync getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IComplaintCountSync)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("29C8BE08") ,com.kingdee.eas.custom.compensation.IComplaintCountSync.class);
    }
    
    public static com.kingdee.eas.custom.compensation.IComplaintCountSync getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IComplaintCountSync)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("29C8BE08") ,com.kingdee.eas.custom.compensation.IComplaintCountSync.class, objectCtx);
    }
    public static com.kingdee.eas.custom.compensation.IComplaintCountSync getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IComplaintCountSync)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("29C8BE08"));
    }
    public static com.kingdee.eas.custom.compensation.IComplaintCountSync getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IComplaintCountSync)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("29C8BE08"));
    }
}